/*
 *  nautilus-search-tool.h
 * 
 *  Copyright (C) 2005-2009 Andrea Zagli <azagli@libero.it>
 *
 *  This file is part of nautilus-search-tool.
 *  
 *  nautilus-search-tool is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  nautilus-search-tool is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with nautilus-search-tool; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

#ifndef NAUTILUS_SEARCH_TOOL_H
#define NAUTILUS_SEARCH_TOOL_H

#include <glib-object.h>

G_BEGIN_DECLS

/* Declarations for the search tool extension object.  This object will be
 * instantiated by nautilus.  It implements the GInterfaces 
 * exported by libnautilus. */
#define NAUTILUS_TYPE_SEARCH_TOOL	  (nautilus_search_tool_get_type ())
#define NAUTILUS_SEARCH_TOOL(o)	  (G_TYPE_CHECK_INSTANCE_CAST ((o), NAUTILUS_TYPE_SEARCH_TOOL, NautilusSearchTool))
#define NAUTILUS_IS_SEARCH_TOOL(o)	  (G_TYPE_CHECK_INSTANCE_TYPE ((o), NAUTILUS_TYPE_SEARCH_TOOL))

typedef struct _NautilusSearchTool NautilusSearchTool;
typedef struct _NautilusSearchToolClass NautilusSearchToolClass;

struct _NautilusSearchTool {
	GObject parent_slot;
};

struct _NautilusSearchToolClass {
	GObjectClass parent_slot;
};

GType nautilus_search_tool_get_type (void);
void  nautilus_search_tool_register_type (GTypeModule *module);

G_END_DECLS

#endif
